Subject: No decent POSIX (was TeX implementations?)
From: [email-masked] (Murray Todd Williams)

30 Oct 1996 18:46:16 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0Gold (X11; I; Linux 2.0.0 i586)
Original-To: Graham <[email-masked]>
Original-Cc: [email-masked]
Original-Sender: [email-masked]

To quote the Microsoft Resource Kit:

With this release of Windows NT, POSIX applications have no direct
access to any of the facilities and features of the Win32 subsystem,
such as memory mapped files, networking, graphics, or dynamic data
exchange.

To quote an informative web page at http://nentug.org/unix-to-nt/ The
general consensus is that Microsoft put in the POSIX subsystem in order
to bit NT on U.S. government contracts where POSIX can be a requirement.

No, folks.  No help from Microsoft in these endevours.  We're on our
own.

Murray Todd Williams

Graham wrote:
> 
> Colin Peters <[email-masked]> wrote...
> 
> > Making NT look like UNIX is a tough job.
> 
> I'm sorry if this is a dumb or naive question, but isn't there a difference
> between making NT look like Unix by talking to the win32 API and making NT look
> like Unix by talking to the POSIX API.
> 
> I apologize if I've been mislead about the NT kernal by MicroSoft Propaganda,
> but if this POSIX API works right shouldn't it be relatively easy to talk to
> it.
> I understood that one of the points of NT was the multiple API structures...
> 
> GG
> 
> --
> Graham Giller
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".